politas

CKAN (The Comprehensive Kerbal Archive Network); v1.25.4 - Kennedy

Recommended Posts

2 hours ago, BlackHat said:

I remember when I manually installed various mods, that CKAN would "Auto Detect" that I had manually installed some mods and list them with "AD" in the installed column. But none of the 3-4 mods I have installed manually in 1.4.5 are showing up in CKAN as installed by showing "AD" in the installed column. (ex, Scatter, SVE, & (X)Science) 

I have 53 other mods installed through CKAN.

Was this CKAN feature dropped?

I believe that feature works by matching the file names of DLLs to mod identifiers. A mod with no DLL, or with a DLL with a name that doesn't match its identifier, wouldn't be detected.

Share this post


Link to post
Share on other sites
21 hours ago, HebaruSan said:

I believe that feature works by matching the file names of DLLs to mod identifiers. A mod with no DLL, or with a DLL with a name that doesn't match its identifier, wouldn't be detected.

Hmm well Scatter and (X)Science both have DLLs and are existing mods, I would think they would be detected based on the criteria you mention. Which is why I wondered if that feature had been dropped.

Share this post


Link to post
Share on other sites
32 minutes ago, BlackHat said:

Hmm well Scatter and (X)Science both have DLLs and are existing mods, I would think they would be detected based on the criteria you mention.

Maybe this will help to clarify:

Identifier DLL Same?
xScience [x] Science!.dll No
Scatterer scatterer.dll No (case sensitive)

 

32 minutes ago, BlackHat said:

Which is why I wondered if that feature had been dropped.

No, the feature hasn't been dropped (or changed).

  • Like 1

Share this post


Link to post
Share on other sites
On 8/4/2018 at 3:01 AM, BlackHat said:

I also restarted playing, (was last playing 1.3.1) and also got the 1.4.5. I downloaded the visual enhancement mods latest versions (EVE, SVE & Scatter) and while some are not listed as updated to 1.4.5 they do appear to work. (manually added the ones CKAN said were not compatible.) [Your millage may vary]

 

Which brings up another point...

I remember when I manually installed various mods, that CKAN would "Auto Detect" that I had manually installed some mods and list them with "AD" in the installed column. But none of the 3-4 mods I have installed manually in 1.4.5 are showing up in CKAN as installed by showing "AD" in the installed column. (ex, Scatter, SVE, & (X)Science) 

I have 53 other mods installed through CKAN.

Was this CKAN feature dropped?

No, but it only detects mods which have a DLL with the same name as the mod. 

Also, you can use the CKAN Compatibility feature in CKAN to install mod versions which don't have updates for point releases of KSP.

My joystick is broken in 1.4.x under Linux, so I'm still playing 1.3.1!

Share this post


Link to post
Share on other sites

CKAN Client v1.25.2 "Goddard" is released!

68747470733a2f2f75706c6f61642e77696b696d


Changes since 1.25.0

Features

  • [GUI] Limit future Max KSP column values based on known versions (#2437 by: yalov; reviewed: politas)
  • [GUI] Add description to ModInfoTab (#2463 by: politas; reviewed: HebaruSan)

Bugfixes

  • [core] Ignore conflicts between versions of same mod (#2430 by: HebaruSan; reviewed: politas)
  • [GUI] Don't Force Apply button active when no update selected (#2429 by: DasSkelett; reviewed: politas)
  • [Core] Improve handling of missing game version (#2444 by: HebaruSan; reviewed: politas)
  • [Core] Handle zero byte registry.json file (#2435 by: HebaruSan; reviewed: politas)
  • [Multiple] Pass game instance from cmdline to GUI/ConsoleUI (#2449 by: HebaruSan; reviewed: politas)
  • [GUI] Show conflict messages in status bar (#2442 by: HebaruSan; reviewed: dbent, politas)
  • [GUI] Remove v in installed version and latest version columns (#2451 by yalov; reviewed: politas)
  • [Netkan] Support new Curse URLs (#2464 by: HebaruSan; reviewed: Olympic1, politas)
  • [Netkan] Fix Netkan error message when both ksp_version and min/max are present (#2480 by: HebaruSan; reviewed: politas)

Internal

  • [Core] Test upgrading mod with conflict on its own provides (#2431 by: HebaruSan; reviewed: politas)

Notes

  • You don't need to download AutoUpdate.exe. This is used internally by CKAN when a new version is released.
  • Windows users must have .NET 4.5 installed. SImply download the ckan.exe file and either store it in your game directory or somewhere in your filesystem that you have non-admin write access. Never run the CKAN client as Administrator!
  • libcurl is no longer used by CKAN for Linux or Mac. If you experience problems downloading, please contact us
  • Mac/Linux/Mono users: please use the new cert-sync tool, to update mono's certificate store.
  • Mac Users: You should only need to download and install the CKAN.dmg
  • The .deb file is for automated installation on Debian-based Linux distributions - Use dpkg-install/apt-get/apt to install the .deb file and you will then be able to run CKAN with just ckan instead of mono ckan.exe. All required libraries should be pulled in as dependencies.
  • This release of the CKAN has not been tested on Mono releases prior to 5.0.1. We highly recommend upgrading to the latest stable release of Mono from mono-project.com You will need the equivalent of the mono-complete package for your OS.

News and appreciation

  • Thanks go to new contributor Yalov for some great little tweaks to the GUI. There are some new options to check out in the CKAN settings dialog to make mod version numbers a little cleaner in the GUI
  • @HebaruSanhas been doing most of the effort for this release once more; give him lots of love and hearts!
  • We've added more info in the top Mod Info panel. Yes, the spacing is a little awkward. Neither Hebarusan nor I could find a way to make it look any nicer than it is. At least we are now showing all the metadata we have for each mod!

Release image public domain, courtesy NASA

  • Like 3

Share this post


Link to post
Share on other sites

(Sort of) answered my own question.  Looks like installing the .deb works, and CKAN launches.  I had downloaded just the .exe which worked in the past.  I think originally while I was futzing around with trying to get the newer version of Mono to work, I abandoned the .deb.

 

So I'm not sure why it didn't work from the 'mono ckan.exe' command line, but at least the .deb seems to work.  Thanks!

 

I have no idea if this is specific to the new version, as I haven't fired up CKAN or KSP for quite some time....but I'm unable to get the version I just downloaded to run with mono on Linux Mint 18.3.  I did manage to get my Mono version updated to 5.12.  Here's what happens:

$ mono ckan.exe 
exception inside UnhandledException handler: Object reference not set to an instance of an object

[ERROR] FATAL UNHANDLED EXCEPTION: System.NullReferenceException: Object reference not set to an instance of an object
  at CKAN.GUIUser.DisplayMessage (System.String message, System.Object[] args) [0x00000] in <352d74f237564d2e9ff313cc9ac1989e>:0 
  at CKAN.NullUser.RaiseMessage (System.String message, System.Object[] args) [0x00000] in <352d74f237564d2e9ff313cc9ac1989e>:0 
  at CKAN.KSP.SetupCkanDirectories () [0x000dd] in <352d74f237564d2e9ff313cc9ac1989e>:0 
  at CKAN.KSP..ctor (System.String gameDir, System.String name, CKAN.IUser user) [0x00038] in <352d74f237564d2e9ff313cc9ac1989e>:0 
  at CKAN.KSPManager.LoadInstancesFromRegistry () [0x00060] in <352d74f237564d2e9ff313cc9ac1989e>:0 
  at CKAN.KSPManager..ctor (CKAN.IUser user, CKAN.IWin32Registry win32_registry) [0x00028] in <352d74f237564d2e9ff313cc9ac1989e>:0 
  at CKAN.Main..ctor (System.String[] cmdlineArgs, CKAN.KSPManager mgr, CKAN.GUIUser user, System.Boolean showConsole) [0x00039] in <352d74f237564d2e9ff313cc9ac1989e>:0 
  at (wrapper remoting-invoke-with-check) CKAN.Main..ctor(string[],CKAN.KSPManager,CKAN.GUIUser,bool)
  at CKAN.GUI.Main_ (System.String[] args, CKAN.KSPManager manager, System.Boolean showConsole) [0x0003b] in <352d74f237564d2e9ff313cc9ac1989e>:0 
  at CKAN.CmdLine.MainClass.Gui (CKAN.KSPManager manager, CKAN.CmdLine.GuiOptions options, System.String[] args) [0x00008] in <352d74f237564d2e9ff313cc9ac1989e>:0 
  at CKAN.CmdLine.MainClass.Main (System.String[] args) [0x000a1] in <352d74f237564d2e9ff313cc9ac1989e>:0 

Any ideas about what's going on here?

Cheers,

-BS

Edited by barfing_skull
Found a solution.
  • Like 1

Share this post


Link to post
Share on other sites
45 minutes ago, barfing_skull said:

I have no idea if this is specific to the new version, as I haven't fired up CKAN or KSP for quite some time....but I'm unable to get the version I just downloaded to run with mono on Linux Mint 18.3.  I did manage to get my Mono version updated to 5.12.  Here's what happens:


$ mono ckan.exe 
exception inside UnhandledException handler: Object reference not set to an instance of an object

[ERROR] FATAL UNHANDLED EXCEPTION: System.NullReferenceException: Object reference not set to an instance of an object
  at CKAN.GUIUser.DisplayMessage (System.String message, System.Object[] args) [0x00000] in <352d74f237564d2e9ff313cc9ac1989e>:0 
  at CKAN.NullUser.RaiseMessage (System.String message, System.Object[] args) [0x00000] in <352d74f237564d2e9ff313cc9ac1989e>:0 
  at CKAN.KSP.SetupCkanDirectories () [0x000dd] in <352d74f237564d2e9ff313cc9ac1989e>:0 
  at CKAN.KSP..ctor (System.String gameDir, System.String name, CKAN.IUser user) [0x00038] in <352d74f237564d2e9ff313cc9ac1989e>:0 
  at CKAN.KSPManager.LoadInstancesFromRegistry () [0x00060] in <352d74f237564d2e9ff313cc9ac1989e>:0 
  at CKAN.KSPManager..ctor (CKAN.IUser user, CKAN.IWin32Registry win32_registry) [0x00028] in <352d74f237564d2e9ff313cc9ac1989e>:0 
  at CKAN.Main..ctor (System.String[] cmdlineArgs, CKAN.KSPManager mgr, CKAN.GUIUser user, System.Boolean showConsole) [0x00039] in <352d74f237564d2e9ff313cc9ac1989e>:0 
  at (wrapper remoting-invoke-with-check) CKAN.Main..ctor(string[],CKAN.KSPManager,CKAN.GUIUser,bool)
  at CKAN.GUI.Main_ (System.String[] args, CKAN.KSPManager manager, System.Boolean showConsole) [0x0003b] in <352d74f237564d2e9ff313cc9ac1989e>:0 
  at CKAN.CmdLine.MainClass.Gui (CKAN.KSPManager manager, CKAN.CmdLine.GuiOptions options, System.String[] args) [0x00008] in <352d74f237564d2e9ff313cc9ac1989e>:0 
  at CKAN.CmdLine.MainClass.Main (System.String[] args) [0x000a1] in <352d74f237564d2e9ff313cc9ac1989e>:0 

 

Could you please create an issue on GitHub for this? This is something we should fix.

https://github.com/KSP-CKAN/CKAN/issues

Share this post


Link to post
Share on other sites

I've come back to KSP after a while and did a fresh install of 1.45 with freshly bought Making History. As usually I wanted CKAN to manage all addons and I downloaded latest version (from 6 days ago). Unfortunatelly I get this error message:
Wyjątek nieobsłużony: System.NullReferenceException: Odwołanie do obiektu nie zo
stało ustawione na wystąpienie obiektu.
   w CKAN.GUIUser.DisplayMessage(String message, Object[] args)
   w CKAN.KSP.SetupCkanDirectories()
   w CKAN.KSP..ctor(String gameDir, String name, IUser user)
   w CKAN.KSPManager.LoadInstancesFromRegistry()
   w CKAN.Main..ctor(String[] cmdlineArgs, KSPManager mgr, GUIUser user, Boolean
 showConsole)
   w CKAN.GUI.Main_(String[] args, KSPManager manager, Boolean showConsole)
   w CKAN.CmdLine.MainClass.Main(String[] args)
 

I'm running Windows 8 64bit, KSP install is on C:\KSP 1.45 folder, I've set entire contents of the folder to "trusted" in Comodo, but still won't work. Any tips what's wrong? 

 

EDIT:

This issue is not present in 1.25.1 version of CKAN!

Edited by escar

Share this post


Link to post
Share on other sites

 

Hi folks,

Wasn't sure whether to post here or on GitHub.

Having the same issue on Windows 10,

"Unhandled Exception: System.NullReferenceException: Object reference not set to an instance of an object"

 

Had a quick read through the above and on GitHub and could see Issue   #2483   and also #2481

but 2483 is closed 

and 2481 is on Mac

 

I downloaded v1.25.2 and tried to run from the downloads folder,

received the below for a second or 2 before it closed.

 

Moved the exe to KSP's route directory directly under C:\ and retried with the same issue.

 

Have also tried running as admin, no change.

Redownloaded .exe an still no joy.

klyR1i1.png

 

Let me know if theirs anything else you need or if you want me to post it on GitHub.

 

 

 

**********UPDATE*************

Downloaded the 1.25.1 and let the auto updater update to 1.25.2 and its now working 

Edited by Squeaky
I cant work imgur apparently :(

Share this post


Link to post
Share on other sites

I have been playing over 940 hours of KSP, 400+ completely Vanilla, zero mods whatsoever.

After I found out you simply cannot properly progress this game without dV readings"Kerbal engineer", "precise node", "launchwindow planner" and most importantly, "chatterer", I started for an extra 500hours of a slightly modded KSP install.

After a big 1y and half break from KSP:
Only now I discovered CKAN does all the modding for me... Holy kerbal, the time I have been wasting with installing and updating obsolete mods...
944hours and only now a CKAN to assist me :/

Great, love it totally but wanted to check if my time counter is nearing the 1k hours...  NO, remained at 944hours after 15hours extra duna visits.
What I did not know is that CKAN does not launch trough steam.  I did find a command line entry online to launch the steam version.

steam://run/220200

It seems to work so far, no idea if the counter keeps going now, will know in 1 hour :) and it did launch the x64 version, no clue what the x32 command line would be.
Maybe if this info could be added to the FAQ? Maybe other players care to see the 1k mark :)

Anyway, very very good work on CKAN, it is near mandatory imo.
Keep up the great work!!

 

EDIT: command line really works, steam counter adding up again

Edited by Earthslug
update on post

Share this post


Link to post
Share on other sites

If I have a mod that requires a dependency, but there are more than one mod that can fulfill this dependency, but they conflict with each other, how is it best to set up the relationship for this in the NetKAN file?

To be more specific, my Skyboxes require either Sigma Replacements Skybox, Texture Replacer Replaced or Texture Replacer but TRR and TR pose a conflict situation. SR:S doesn't conflict with TRR or TR but the user doesn't necessarily need to install both... but can do.

I haven't publically updated my mods yet to have this dependency interopability but do have it working locally and am musing as to how to approach this on the NetKAN side of things.

Share this post


Link to post
Share on other sites

Hi there

The mod TAC Fuel Balancer only shows the 2.19 version, even though the 2.20 version is available. Wasn't sure if something like that gets reported there to @Z-Key Aerospace or here, but now I've done both. :/

This is the version file from 2.19

Spoiler

{
    "NAME":        "TAC Fuel Balancer",
    "URL":        "https://themoose.co.uk/ksp/TacFuelBalancer.version",
    "DOWNLOAD":    "https://themoose.co.uk/ksp/downloads.html",
    "CHANGE_LOG_URL":"https://themoose.co.uk/ksp/TacFuelBalancerChanges.md",
    "VERSION":
    {
        "MAJOR":2,
        "MINOR":19,
        "PATCH":0
    },
    "KSP_VERSION":
    {
        "MAJOR": 1,
        "MINOR": 4,
        "PATCH": 4
    }
}

and this is the version file from 2.20 that I manually downloaded

Spoiler

{
    "NAME":        "TAC Fuel Balancer",
    "URL":        "https://themoose.co.uk/ksp/TacFuelBalancer.version",
    "DOWNLOAD":    "https://themoose.co.uk/ksp/downloads.html",
    "CHANGE_LOG_URL":"https://themoose.co.uk/ksp/TacFuelBalancerChanges.md",
    "VERSION":
    {
        "MAJOR":2,
        "MINOR":20,
        "PATCH":0
    },
    "KSP_VERSION":
    {
        "MAJOR": 1,
        "MINOR": 4,
        "PATCH": 5
    }
}

Hope that makes sense to someone :D

Share this post


Link to post
Share on other sites
58 minutes ago, strudo76 said:

The mod TAC Fuel Balancer only shows the 2.19 version, even though the 2.20 version is available. Wasn't sure if something like that gets reported there to @Z-Key Aerospace or here, but now I've done both. :/

2.20 isn't on SpaceDock:

https://spacedock.info/mod/640

It'll appear in CKAN once it's uploaded to SpaceDock.

Share this post


Link to post
Share on other sites
3 hours ago, Katten said:

Are you sure you want to redistribute UnityEngine.dll, UnityEngine.UI.dll, Assembly-CSharp.dll, and Assembly-CSharp-firstpass.dll in your ZIP?

Also, what does it do? We need to set a description string.

Edited by HebaruSan

Share this post


Link to post
Share on other sites
2 hours ago, HebaruSan said:

Are you sure you want to redistribute UnityEngine.dll, UnityEngine.UI.dll, Assembly-CSharp.dll, and Assembly-CSharp-firstpass.dll in your ZIP?

Also, what does it do? We need to set a description string.

Gosh, not again. I need to redo my scripts, lol. Will fix that and the description.

Edit: @HebaruSan, it is fixed!

Edited by Katten

Share this post


Link to post
Share on other sites
34 minutes ago, Katten said:

Gosh, not again. I need to redo my scripts, lol. Will fix that and the description.

Edit: @HebaruSan, it is fixed!

If the link you posted above is supposed to be to the file or to the download page its not fixed. It currently downloads the Version file.

Share this post


Link to post
Share on other sites
2 minutes ago, BlackHat said:

If the link you posted above is supposed to be to the file or to the download page its not fixed. It currently downloads the Version file.

Yes, it is the version file that links to the download page.

Share this post


Link to post
Share on other sites
1 hour ago, Katten said:

Gosh, not again. I need to redo my scripts, lol. Will fix that and the description.

Edit: @HebaruSan, it is fixed!

Looks good, added.

  • Like 1

Share this post


Link to post
Share on other sites

I would like to make my mod available on ckan, but I do not have any .dll in the mod. Is it ok to do so?

Share this post


Link to post
Share on other sites

I cannot seem to get CKAN to work

 

1yr78y.png

 

That is what im seeing, not sure what to do to fix it.

 

Full text if problem error details:

Problem signature:
  Problem Event Name:    CLR20r3
  Problem Signature 01:    ckan.exe
  Problem Signature 02:    1.25.2.0
  Problem Signature 03:    5b67575e
  Problem Signature 04:    ckan
  Problem Signature 05:    1.25.2.0
  Problem Signature 06:    5b67575e
  Problem Signature 07:    2e95
  Problem Signature 08:    0
  Problem Signature 09:    System.NullReferenceException
  OS Version:    6.1.7601.2.1.0.256.48
  Locale ID:    1033
  Additional Information 1:    a009
  Additional Information 2:    a009ab7e5257d08d5d1625b49477e8fe
  Additional Information 3:    bfbd
  Additional Information 4:    bfbd50104fcf6405af879d494ba2aaac

Edited by r3dk00la1d
add more info

Share this post


Link to post
Share on other sites
30 minutes ago, r3dk00la1d said:

I cannot seem to get CKAN to work

If you scroll up, this was asked already on this same page of the thread:

 

Share this post


Link to post
Share on other sites

So I'm assuming this is a "you didn't install a dependency properly" problem, so don't really want to raise a Github issue just yet, as it's almost certainly something I have(n't) done.

Linux Mint 19 64 bit - CKAN works (as in loads) - but when I try to import the My Mods.ckan that I created, the first bit works fine, but when it goes to the next screen (recommendations I believe?) - I get a big red cross across my screen, and can't go any further. At that point CKAN is well and truly locked up, killing the process doesn't even make it go away, the only way I've found to get rid of it is to completely restart X.

Edit: Apparently the red cross appears when clicking "cancel" on the import mods screen too.

I will mention that this CKAN file was created in Windows, but I shouldn't think that would make much difference.

possibly related - when I click a mod that has requires a config to be selected (Distand Object Enhancement) - selecting the config crashes CKAN (this is easily worked around by selecting the config in the main window though) - I'm more bothered about the top issue.

Screenshots of what I mean:

Importing the .ckan works fine (ignore the weird artifacting over the window, that doesn't happen on my screen, its just the screenshot utility not liking my double monitor setup)

hgxMsp8.png

After clicking continue I get this:

ZrOjMEe.png

Edited by severedsolo

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now